Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class IndexedComponentList

    java.lang.Object
      net.fortuna.ical4j.model.IndexedComponentList

    public class IndexedComponentList

extends Object

Provides indexing of components on a specific property.

Author:
  Ben Fortuna

Constructor Summary
`IndexedComponentList(ComponentList list, String propertyName)` Creates a new instance indexed on properties with the specified name.

Method Summary
`Component` | `getComponent(String propertyValue)` Returns the first component containing a property with the specified value.
`ComponentList` | `getComponents(String propertyValue)` Returns a list of components containing a property with the specified value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IndexedComponentList

    public IndexedComponentList(ComponentList list,
                                String propertyName)

  Creates a new instance indexed on properties with the specified name.

  Parameters:
    `list` - a list of components
    `propertyName` - the name of the properties to index on

Method Detail

### getComponents

    public ComponentList getComponents(String propertyValue)

  Returns a list of components containing a property with the specified value.

  Parameters:
    `propertyValue` - the value of the property contained in the returned components
  Returns:
    a component list

### getComponent

    public Component getComponent(String propertyValue)

  Returns the first component containing a property with the specified value.

  Parameters:
    `propertyValue` - the value of the property identified in the returned component
  Returns:
    a component or null if no component is found containing a property with the specified value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.